نقطة نهاية API
https://dx.sa/api/v1/links
مثال على الطلب
curl --location --request GET 'https://dx.sa/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
المعاملات (Parameters)
search
search_by
title لـ العنوان, alias لـ الاسم المستعار, url لـ الرابط (URL). القيمة الافتراضية هي: title.
status
0 لـ الكل, 1 لـ نشط, 2 لـ منتهي الصلاحية, 3 لـ معطّل. القيمة الافتراضية هي: 0.
space_id
domain_id
pixel_id
sort_by
id لـ تاريخ الإنشاء, clicks لـ النقرات, title لـ العنوان, alias لـ الاسم المستعار, url لـ الرابط (URL). القيمة الافتراضية هي: id.
sort
desc لـ تنازلي, asc لـ تصاعدي. القيمة الافتراضية هي: desc.
per_page
10, 25, 50, 100. القيمة الافتراضية هي: 10.
نقطة نهاية API
https://dx.sa/api/v1/links/{id}
مثال على الطلب
curl --location --request GET 'https://dx.sa/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
نقطة نهاية API
https://dx.sa/api/v1/links
مثال على الطلب
curl --location --request POST 'https://dx.sa/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
المعاملات (Parameters)
url
domain_id
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 لـ لا, 1 لـ نعم. القيمة الافتراضية هي: 0.
privacy
0 لـ عام, 1 لـ خاص, 2 لـ كلمة المرور. القيمة الافتراضية هي: 0.
password
privacy على القيمة 2.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents لـ Continents, countries لـ Countries, operating_systems لـ Operating systems, browsers لـ Browsers, languages لـ Languages, devices لـ Devices, rotations لـ Rotations.
targets[index][key]
بالنسبة لحقل targets_type=country، يجب أن تكون القيمة بتنسيق ISO 3166-1 alpha-2.
بالنسبة لحقل targets_type=operating_systems، القيم الممكنة هي: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
بالنسبة لحقل targets_type=browsers، القيم الممكنة هي: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
بالنسبة لحقل targets_type=devices، القيم الممكنة هي: Desktop, Mobile, Tablet, Watch, Television.
بالنسبة لحقل targets_type=languages، يجب أن تكون القيمة بتنسيق ISO 639-1 alpha-2.
بالنسبة لحقل targets_type=continents، القيم الممكنة هي: AF لـ Africa, AN لـ Antarctica, AS لـ Asia, EU لـ Europe, NA لـ North America, OC لـ Oceania, SA لـ South America.
targets[index][value]
نقطة نهاية API
https://dx.sa/api/v1/links/{id}
مثال على الطلب
curl --location --request PUT 'https://dx.sa/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
المعاملات (Parameters)
url
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 لـ لا, 1 لـ نعم.
privacy
0 لـ عام, 1 لـ خاص, 2 لـ كلمة المرور.
password
privacy على القيمة 2.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents لـ Continents, countries لـ Countries, operating_systems لـ Operating systems, browsers لـ Browsers, languages لـ Languages, devices لـ Devices, rotations لـ Rotations.
targets[index][key]
بالنسبة لحقل targets_type=country، يجب أن تكون القيمة بتنسيق ISO 3166-1 alpha-2.
بالنسبة لحقل targets_type=operating_systems، القيم الممكنة هي: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
بالنسبة لحقل targets_type=browsers، القيم الممكنة هي: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
بالنسبة لحقل targets_type=devices، القيم الممكنة هي: Desktop, Mobile, Tablet, Watch, Television.
بالنسبة لحقل targets_type=languages، يجب أن تكون القيمة بتنسيق ISO 639-1 alpha-2.
بالنسبة لحقل targets_type=continents، القيم الممكنة هي: AF لـ Africa, AN لـ Antarctica, AS لـ Asia, EU لـ Europe, NA لـ North America, OC لـ Oceania, SA لـ South America.
targets[index][value]
نقطة نهاية API
https://dx.sa/api/v1/links/{id}
مثال على الطلب
curl --location --request DELETE 'https://dx.sa/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'